#include <DHT.h>

#define DHT_PIN A2     // Pin digital al que está conectado el sensor DHT
#define DHT_TYPE DHT11 // Tipo de sensor DHT (DHT11 o DHT22)

DHT dht(DHT_PIN, DHT_TYPE);

void setup() {
  Serial.begin(9600); // Iniciar comunicación serial
  dht.begin();        // Iniciar el sensor DHT
}

void loop() {
  // Leer la temperatura en grados Celsius
  float temperatureC = dht.readTemperature();
  // Leer la humedad relativa
  float humidity = dht.readHumidity();

  // Verificar si la lectura del sensor fue exitosa
  if (isnan(temperatureC) || isnan(humidity)) {
    Serial.println("Error al leer el sensor DHT");
    return;
  }

  // Imprimir los valores de temperatura y humedad en el monitor serial
  Serial.print("Temperatura: ");
  Serial.print(temperatureC);
  Serial.print(" °C, Humedad: ");
  Serial.print(humidity);
  Serial.println(" %");

  // Esperar un breve período antes de tomar otra lectura
  delay(2000);
}
